KFileMimeTypeInfo::ItemInfo class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileMimeTypeInfo::ItemInfo Class Reference

This is the class for one item of a KFileMimeTypeInfo. More...

`#include <kfilemetainfo.h>`

Collaboration diagram for KFileMimeTypeInfo::ItemInfo:

[legend]
List of all members.

## Public Member Functions
const QString & | prefix () const
| This method returns a translated prefix to be displayed before the value.
const QString & | suffix () const
| This method returns a translated suffix to be displayed after the value.
QVariant::Type | type () const
| The items for a file are stored as a QVariant and this method can be used to get the data type of this item.
const QString & | key () const
QString | string (const QVariant &value, bool mangle=true) const
bool | isVariableItem () const
| Is this item the variable item?
const QString & | translatedKey () const
uint | attributes () const
| Return the attributes of the item.
uint | hint () const
| Return the hints for the item.
uint | unit () const
| Return the unit of the item.
## Friends
class | KFilePlugin
class | GroupInfo

## Detailed Description

This is the class for one item of a KFileMimeTypeInfo.

It contains every information about a KFileMetaInfoItem that this item has in common for each file of a specific mimetype.

Definition at line 273 of file kfilemetainfo.h.

## Member Function Documentation

const QString& KFileMimeTypeInfo::ItemInfo::prefix | ( |  | ) | const`[inline]`

| This method returns a translated prefix to be displayed before the value. Think e.g. of the $ in $30 Returns: the prefix Definition at line 288 of file kfilemetainfo.h. Referenced by string().

const QString& KFileMimeTypeInfo::ItemInfo::suffix | ( |  | ) | const`[inline]`

| This method returns a translated suffix to be displayed after the value. Think of the kbps in 128kbps Returns: the prefix Definition at line 299 of file kfilemetainfo.h. Referenced by string().

QVariant::Type KFileMimeTypeInfo::ItemInfo::type | ( |  | ) | const`[inline]`

| The items for a file are stored as a QVariant and this method can be used to get the data type of this item. Returns: the QVariant type Definition at line 310 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::ItemInfo::key | ( |  | ) | const`[inline]`

| Returns: The name of the item Definition at line 318 of file kfilemetainfo.h. Referenced by KFileMetaInfo::addGroup(), and isVariableItem().

QString KFileMimeTypeInfo::ItemInfo::string | ( | const QVariant & | value,
|  | bool | mangle = true
| ) | const

| Returns: a string for the specified value, if possible. If not, QString::null is returned. This can be used by programs if they want to display a sum or an average of some item for a list of files. if `mangle` is true, the string will already contain prefix and suffix Since: 3.1 Definition at line 1441 of file kfilemetainfo.cpp. References QString::append(), QString::arg(), KIO::convertSize(), KIO::convertSizeFromKB(), KLocale::formatDate(), KLocale::formatDateTime(), KLocale::formatNumber(), KLocale::formatTime(), QString::isNull(), KFileMimeTypeInfo::KiloBytes, KGlobal::locale(), prefix(), QString::prepend(), QString::sprintf(), suffix(), QVariant::toBool(), QVariant::toDate(), QVariant::toDateTime(), QVariant::toDouble(), QVariant::toInt(), QVariant::toSize(), QVariant::toString(), QVariant::toTime(), QVariant::toUInt(), QVariant::type(), and unit().

bool KFileMimeTypeInfo::ItemInfo::isVariableItem | ( |  | ) | const`[inline]`

| Is this item the variable item? Returns: true if it is, false if not Definition at line 339 of file kfilemetainfo.h. References QString::isNull(), and key(). Referenced by KFileMetaInfoGroup::addItem().

const QString& KFileMimeTypeInfo::ItemInfo::translatedKey | ( |  | ) | const`[inline]`

| Returns: a translation of the key for displaying to the user. If the plugin provides translation to the key, it's also in the user's language. Definition at line 350 of file kfilemetainfo.h.

uint KFileMimeTypeInfo::ItemInfo::attributes | ( |  | ) | const`[inline]`

| Return the attributes of the item. See KFileMimeTypeInfo::Attributes Definition at line 359 of file kfilemetainfo.h. Referenced by KFileMetaInfo::addGroup().

uint KFileMimeTypeInfo::ItemInfo::hint | ( |  | ) | const`[inline]`

| Return the hints for the item. See KFileMimeTypeInfo::Hint Definition at line 368 of file kfilemetainfo.h.

uint KFileMimeTypeInfo::ItemInfo::unit | ( |  | ) | const`[inline]`

| Return the unit of the item. See KFileMimeTypeInfo::Unit Definition at line 377 of file kfilemetainfo.h. Referenced by string().

The documentation for this class was generated from the following files:

- kfilemetainfo.h
- kfilemetainfo.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:17:58 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001